vue-cli3.x + vux 环境配置

vue-cli 3.x 使用全新配置模式,GUI操作,无webpackconfig文件。
根据官方文档,根目录下新建 vue.config.js,可修改相关webpack配置

npm install vux --save
npm install vux-loader --save-dev

安装成功后
// vue.config.js 文件如下

const vuxLoader = require('vux-loader')

module.exports = {
  configureWebpack: config => {
      vuxLoader.merge(config, {
         plugins: ['vux-ui']
       })
    if (process.env.NODE_ENV === 'production') {
      // 为生产环境修改配置...
    } else {
      // 为开发环境修改配置...
    }
  }
}

//修改完成后,run serve运行项目,一般情况下是OK的。
部分同学安装的时vue-cli3.x更新过vue-loader,会导致的文件解析失败加载错误。

安装 vue-loader@14.2.2 版本解决

yarn add vue-loader@14.2.2 -D
or
npm install vue-loader@14.2.2 -D

//完成后重新run serve即可
此处参考:https://segmentfault.com/a/1190000014586699

阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页